



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>React Native 系列(九) -- Tab标签组件</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">React Native 系列(九) -- Tab标签组件</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-20 04:55:31 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>前言</h2>
<p>本系列是基于<code>React Native</code>版本号<code>0.44.3</code>写的。很多的<code>App</code>都使用了<code>Tab</code>标签组件，例如<code>QQ</code>，<code>微信</code>等等，就是切换不同的选项，显示不同的内容。那么这篇文章将介绍<code>RN</code>中的<code>Tab</code>标签组件。</p>
<h2><code>Tab</code>标签</h2>
<p>什么是<code>Tab</code>标签？(ps:我是这样叫的)，就拿微信来说吧，底部有4个选项卡，点击不同的按钮切换不同的内容。<br /><br />
在<code>RN</code>中有两个组件负责实现这样的效果，它们是:</p>
<ul><li><a href="#1" rel="external nofollow noreferrer">TabBarIOS</a></li>
<li><a href="#2" rel="external nofollow noreferrer">TabNavigator</a></li></ul>
<h2>TabBarIOS</h2>
<p>和<code>NavigatorIOS</code>相似，看名字就知道该组件只适用于<code>iOS</code>，不能用于<code>android</code>。</p>
<h3>TabBarIOS 常用属性</h3>
<pre class="prettyprint linenums"><code>barTintColor string：标签栏的背景颜色。<br />
style：样式<br />
tintColor string： 当前被选中的标签图标的颜色。 unselectedItemTintColor string： 当前没有被选中的标签图标的颜色。仅在iOS 10及以上版本有效<br />
translucent bool： 一个布尔值，决定标签栏是否需要半透明化。<br />
</code></pre>
<h3>TabBarIOS.Item</h3>
<ul><li>注意：<code>TabBarIOS.Item</code>必须包装一个<code>View</code>，作为点击选项卡，切换的view</li></ul>
<h3>TabBarIOS.Item 常用属性</h3>
<pre class="prettyprint linenums"><code>badge string, number :在图标右上角显示一个红色的气泡。

icon Image.propTypes.source :给当前标签指定一个自定义的图标。如果定义了systemIcon属性， 这个属性会被忽略。 

onPress function :当此标签被选中时调用。你应该修改组件的状态来使得selected={true}。 

selected bool :这个属性决定了子视图是否可见。如果你看到一个空白的页面，很可能是没有选中任何一个标签。 

selectedIcon Image.propTypes.source :当标签被选中的时候显示的自定义图标。如果定义了systemIcon属性，这个属性会被忽略。如果定义了icon而没定义这个属性，在选中的时候图标会染上蓝色。 

systemIcon enum('bookmarks', 'contacts', 'downloads', 'favorites', 'featured', 'history', 'more', 'most-recent', 'most-viewed', 'recents', 'search', 'top-rated') :一些预定义的系统图标。注意如果你使用了此属性，标题和自定义图标都会被覆盖为系统定义的值。 

title string :在图标下面显示的标题文字。如果定义了systemIcon属性，这个属性会被忽略<br />
</code></pre>
<h3>使用步骤</h3>
<ol><li><p>创建<code>TabBar</code>标签: 使用下面行代码，底部就会有一个条</p>
<pre class="prettyprint linenums"><code>&lt;TabBarIOS&gt;<br />
&lt;/TabBarIOS&gt;<br />
</code></pre></li>
<li><p>添加选项卡</p>
<pre class="prettyprint linenums"><code>&lt;TabBarIOS.Item<br />
        title='首页'<br />
        icon={{uri: 'tabbar_home_select' , scale: 3}}<br />
&gt;<br />
    &lt;View style={{flex: 1, justifyContent: 'center', alignItems: 'center', backgroundColor: 'red'}}&gt;<br />
        &lt;Text&gt;首页&lt;/Text&gt;<br />
    &lt;/View&gt;<br />
&lt;/TabBarIOS.Item&gt;<br />
</code></pre></li>
<li><p>监听按钮点击，切换界面</p>
<ul><li>只要设置对应的<code>tabBarItem</code>的<code>selected</code>为<code>true</code>，就会自动跳转到对应界面</li>
<li><strong>注意：<code>tabBarItem</code>的<code>selected</code>属性不能写死，可以定义个<code>flag</code>来标记当前选中的<code>item</code></strong></li>
<li>监听<code>tabBarItem</code>的点击，修改<code>selected</code>属性</li></ul></li></ol>
<h3>实战演练</h3>
<p>先看效果图：<br /><br />
<img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/1202156/201708/1202156-20170816165206928-31221481.gif"></p>
<p>我们在<code>index.ios.js</code>文件做修改，直接创建一个<code>TabBarIOS</code>组件：</p>
<pre class="prettyprint linenums"><code>render() {<br />
    return (<br />
        &lt;TabBarIOS<br />
            tintColor='orange'<br />
            barTintColor='black'<br />
        &gt;<br />
        &lt;/TabBarIOS&gt;<br />
    );<br />
}<br />
</code></pre>
<p>再创建三个选项卡（ps:3个选项卡创建方式类似，所以这里只贴出创建一个的代码，），<code>icon</code>是图片，关于图片方面的知识，本文最后做一个总结吧：</p>
<pre class="prettyprint linenums"><code>&lt;TabBarIOS.Item<br />
        title='首页'<br />
        icon={{uri: 'tabbar_home_select' , scale: 3}}<br />
        selected={true}<br />
    &gt;<br />
        &lt;View style={{flex: 1, justifyContent: 'center', alignItems: 'center', backgroundColor: 'red'}}&gt;<br />
            &lt;Text&gt;首页&lt;/Text&gt;<br />
        &lt;/View&gt;

&lt;/TabBarIOS.Item&gt;<br />
</code></pre>
<p>监听按钮点击，然后实现界面切换，我们需要定义一个<code>flag</code>记录当前选中的，</p>
<pre class="prettyprint linenums"><code>constructor(props) {<br />
    super(props);<br />
    // 初始状态<br />
    this.state = {<br />
        selectIndex:0,<br />
    };<br />
}<br />
</code></pre>
<p>给<code>TabBarIOS.Item</code>添加点击事件:</p>
<pre class="prettyprint linenums"><code>&lt;TabBarIOS.Item<br />
    title='首页'<br />
    icon={{uri: 'tabbar_home_select' , scale: 3}}<br />
    onPress={()=&gt;{<br />
        this.setState({<br />
            selectIndex:0<br />
        })<br />
    }}<br />
    selected={0==this.state.selectIndex}<br />
&gt;<br />
</code></pre>
<p>我们会发现，创建3个<code>TabBarIOS.Item</code>的代码是一样的，避免写重复代码，我们可以抽取出来：</p>
<pre class="prettyprint linenums"><code>_renderTabBarItem(title, iconName, selected, bgColor, badgeNumber){<br />
    return (<br />
        &lt;TabBarIOS.Item<br />
            title={title}<br />
            icon={{uri: iconName, scale: 3}}<br />
            onPress={()=&gt;{<br />
                this.setState({<br />
                    selectIndex: selected<br />
                })<br />
            }}<br />
            badge={badgeNumber}<br />
            selected={this.state.selectIndex === selected}<br />
        &gt;<br />
            &lt;View style={{flex: 1, justifyContent: 'center', alignItems: 'center', backgroundColor: bgColor}}&gt;<br />
                &lt;Text&gt;{title}&lt;/Text&gt;<br />
            &lt;/View&gt;<br />
        &lt;/TabBarIOS.Item&gt;<br />
    );<br />
}<br />
</code></pre>
<p>然后我们整个创建标签<code>Tab</code>的代码就应该是这样：</p>
<pre class="prettyprint linenums"><code>render() {<br />
    return (<br />
        &lt;TabBarIOS<br />
            tintColor='orange'<br />
            barTintColor='black'<br />
        &gt;<br />
            {this._renderTabBarItem(&quot;首页&quot;, 'tabbar_my_select', 0, 'red', null)}<br />
            {this._renderTabBarItem(&quot;消息&quot;, 'tabbar_my_select', 1, 'yellow', 2)}<br />
            {this._renderTabBarItem(&quot;我的&quot;, 'tabbar_my_select', 2, 'cyan', null)}

        &lt;/TabBarIOS&gt;<br />
    );<br />
}<br />
</code></pre>
<h2>TabNavigator</h2>
<p>本系列上篇文章中，介绍到<code>React Navigation</code>组件中包含了<code>TabNavigator</code>。所以接下来的讲解是在引入了<code>React Navigation</code>的基础之上的。</p>
<h3>常用属性</h3>
<pre class="prettyprint linenums"><code>screen：和导航的功能是一样的，对应界面名称，可以在其他页面通过这个screen传值和跳转。  

navigationOptions：配置TabNavigator的一些属性<br />
{<br />
    title：标题，会同时设置导航条和标签栏的title<br />
    tabBarVisible：是否隐藏标签栏。默认不隐藏(true)<br />
    tabBarIcon：设置标签栏的图标。需要给每个都设置<br />
    tabBarLabel：设置标签栏的title。推荐<br />
}

tabBarPosition：设置tabbar的位置，iOS默认在底部，安卓默认在顶部。（属性值：'top'，'bottom'）  

swipeEnabled：是否允许在标签之间进行滑动  

animationEnabled：是否在更改标签时显示动画  

lazy：是否根据需要懒惰呈现标签，而不是提前，意思是在app打开的时候将底部标签栏全部加载，默认false,推荐为true  

trueinitialRouteName： 设置默认的页面组件  

backBehavior：按 back 键是否跳转到第一个Tab(首页)， none 为不跳转  

tabBarOptions：配置标签栏的一些属性iOS属性  

activeTintColor：label和icon的前景色 活跃状态下  

activeBackgroundColor：label和icon的背景色 活跃状态下  

inactiveTintColor：label和icon的前景色 不活跃状态下  

inactiveBackgroundColor：label和icon的背景色 不活跃状态下  

showLabel：是否显示label，默认开启 style：tabbar的样式  

labelStyle：label的样式安卓属性  

activeTintColor：label和icon的前景色 活跃状态下  

inactiveTintColor：label和icon的前景色 不活跃状态下  

showIcon：是否显示图标，默认关闭  

showLabel：是否显示label，默认开启 style：tabbar的样式  

labelStyle：label的样式 upperCaseLabel：是否使标签大写，默认为true  

pressColor：material涟漪效果的颜色（安卓版本需要大于5.0）  

pressOpacity：按压标签的透明度变化（安卓版本需要小于5.0）  

scrollEnabled：是否启用可滚动选项卡 tabStyle：tab的样式  

indicatorStyle：标签指示器的样式对象（选项卡底部的行）。安卓底部会多出一条线，可以将height设置为0来暂时解决这个问题  

labelStyle：label的样式  

iconStyle：图标样式<br />
</code></pre>
<h3>实战演练</h3>
<p>我们创建<code>App.js</code>，然后在<code>index.ios.js</code>文件引用该组件:</p>
<pre class="prettyprint linenums"><code>import App from './App'<br />
export default class RNDemoTwo extends Component {<br />
    render() {<br />
        return (<br />
            &lt;App/&gt;<br />
        );<br />
    }<br />
}<br />
</code></pre>
<p>现在来配置下<code>App.js</code>文件：</p>
<pre class="prettyprint linenums"><code>import {TabNavigator} from 'react-navigation'<br />
import HelloViewCompnent from './HelloViewComponent'<br />
import DetailComponent from './DetailComponent'<br />
import ThreeComponent from './Three'<br />
import CustTabBarItem from &quot;./TabBarItem&quot;

const SimpleApp = TabNavigator({<br />
    Home: {<br />
        screen: HelloViewCompnent,<br />
        navigationOptions: ({navigation}) =&gt; ({<br />
            tabBarVisible: true,<br />
            tabBarLabel: '首页',<br />
            tabBarIcon: ({focused, tintColor})=&gt;(<br />
                &lt;CustTabBarItem<br />
                    tintColor={tintColor}<br />
                    focused={focused}<br />
                    selectImage={{uri: 'tabbar_home_select'}}<br />
                    normalImage={{uri: 'tabbar_home'}}<br />
                /&gt;<br />
            ),<br />
        })<br />
    },

    Detail: {<br />
        screen: DetailComponent,<br />
        navigationOptions: ({navigation}) =&gt; ({<br />
            tabBarLabel: '消息',<br />
            tabBarIcon: ({focused, tintColor})=&gt;(<br />
                &lt;CustTabBarItem<br />
                    tintColor={tintColor}<br />
                    focused={focused}<br />
                    selectImage={{uri: 'tabbar_licai_select'}}<br />
                    normalImage={{uri: 'tabbar_licai'}}<br />
                /&gt;<br />
            ),<br />
        })<br />
    },

    Three: {<br />
        screen: ThreeComponent,<br />
        navigationOptions: ({navigation}) =&gt; ({<br />
            tabBarLabel: '我的',<br />
            tabBarIcon: ({focused, tintColor})=&gt;(<br />
                &lt;CustTabBarItem<br />
                    tintColor={tintColor}<br />
                    focused={focused}<br />
                    selectImage={{uri: 'tabbar_my_select'}}<br />
                    normalImage={{uri: 'tabbar_my'}}<br />
                /&gt;<br />
            ),<br />
        })<br />
    }<br />
},{<br />
    tabBarPosition:'bottom',<br />
    swipeEnabled:false,<br />
    animationEnabled:false,<br />
    lazy:true,<br />
    tabBarOptions:{<br />
        activeTintColor:'red',<br />
        inactiveTintColor:'black',<br />
        style:{backgroundColor:'#fff',},<br />
        labelStyle: {<br />
            fontSize: 16, // 文字大小<br />
        },<br />
    }<br />
})

export default SimpleApp<br />
</code></pre>
<p>可以看到我们导入了三个页面组件，一个<code>CustTabBarItem</code>，<br /><br />
三个页面组件很简单，都类似，由于篇幅原因，只贴出一个就行了：</p>
<pre class="prettyprint linenums"><code>export default class HelloViewCompnent extends Component {

    render() {<br />
        return (<br />
            &lt;View style={styles.container}&gt;<br />
                &lt;Text style={styles.welcome}&gt;<br />
                    首页<br />
                &lt;/Text&gt;<br />
            &lt;/View&gt;<br />
        );<br />
    }<br />
}

const styles = StyleSheet.create({<br />
    container: {<br />
        flex: 1,<br />
        justifyContent: 'center',<br />
        alignItems: 'center',<br />
        backgroundColor: 'white',<br />
    },<br />
    welcome: {<br />
        fontSize: 20,<br />
        textAlign: 'center',<br />
        margin: 10,<br />
    },<br />
});<br />
</code></pre>
<p>最后，就是我们的<code>TabBarItem.js</code>文件了：</p>
<pre class="prettyprint linenums"><code>export default class TabBarItem extends Component {<br />
    render(){<br />
        return (<br />
            &lt;Image source={this.props.focused ? this.props.selectImage : this.props.normalImage}<br />
            style={{tintColor: this.props.tintColor, width: 25, height: 25}}/&gt;<br />
        );<br />
    }<br />
}<br />
</code></pre>
<p>保存代码，运行项目，不出意外，应该和使用<code>TabBarIOS</code>是一样的效果。</p>
<h3>关于Image组件</h3>
<p>由于这里我们都使用到<code>&lt;Image/&gt;</code>组件，这里就稍微讲一下。</p>
<ul><li><p>Image:用于加载图片，可加载网络图片，也可以加载本地图片</p></li>
<li><p>Image常用属性</p>
<pre class="prettyprint linenums"><code>source {uri: string}, number : 设置Image图片资源<br />
blurRadius number：让图片模糊<br />
defaultSource {uri: string, width: number, height:number, scale: number}, number 占位图片，在读取图片时默认显示的加载提示图片 

resizeMode enum('cover', 'contain', 'stretch', 'repeat',<br />
</code></pre></li></ul>
<p>'center') 决定图片尺寸大小。</p>
<pre class="prettyprint linenums"><code>cover: 在保持图片宽高比的前提下缩放图片，直到宽度和高度都大于等于容器视图的尺寸（如果容器有padding内衬的话，则相应减去）。译注：这样图片完全覆盖甚至超出容器，容器中不留任何空白。 

contain: 在保持图片宽高比的前提下缩放图片，直到宽度和高度都小于等于容器视图的尺寸（如果容器有padding内衬的话，则相应减去）。译注：这样图片完全被包裹在容器中，容器中可能留有空白 

stretch: 拉伸图片且不维持宽高比，直到宽高都刚好填满容器。<br />
repeat: 重复平铺图片直到填满容器。图片会维持原始尺寸。仅iOS可用。<br />
center: 居中不拉伸。<br />
```<br />
</code></pre>
<ul><li><p>本地图片存放位置</p>
<ul><li><ol><li>直接放在RN项目中</li></ol></li>
<li><ol><li>可以放在<code>ios</code>项目中，放到<code>images.xcassets</code>文件中</li></ol></li>
<li><ol><li>可以放在<code>android</code>项目中(安卓中图片文字不能以数字开头，也不能有大写字母)</li></ol></li></ul></li>
<li><p>如何加载本地图片</p>
<ul><li>RN中加载资源:require(文件路径),用于加载RN中的资源，不管是图片，还是json都是一样的</li>
<li>uri:指定一个资源路径，就会自动加载</li>
<li>uri加载注意：通过uri加载资源，必须设置图片尺寸，否则不显示</li>
<li>如果网络加载http图片，iOS默认不支持，需要开启<code>App Transport</code>。</li></ul></li></ul>
<h2>致谢</h2>
<p>如果发现有错误的地方，欢迎各位指出，谢谢！</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8ome5qz.html">【无私分享：ASP&period;NET CORE 项目实战】目录索引</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8k1j779.html">【译】Spring 4 &plus; Hibernate 4 &plus; Mysql &plus; Maven集成例子（注解 &plus; XML）</a>
		</li>
						<li><a href="https://www.batexi.com/a/390vxkm8.html">利用filter过虑用户请求URI显示对应页面内容</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql102e9.html">SQLMAP大全</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2k7eoq.html">a版本冲刺第一天</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jvznl9.html">C&plus;&plus;写一个带参数运行的程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zdnjn9.html">【前端学习】sublime开启vim模式</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o54dn9.html">【CSS3】---盒模型margin、padding及border</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnppdj8.html">std&colon;&colon;map的insert和下标&lbrack;&rsqb;访问</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kmwp49.html">ajax对服务器路径请求</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p7mk38.html">Apache和PHP的优化</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy15r2gq.html">工具类总结---（六）---之http及https请求</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1ol01q.html">24时区，GMT，UTC，DST，CST时间详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j110x8.html">理解 Linux 的硬链接与软链接</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w3gjnq.html">ios MQTT协议的实际应用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvgowx8.html">Properties类学习笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2pod19.html">ASP&period;NET CORE 之 在IIS上部署MVC项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2pmpj9.html">ListView中的Item点击事件和子控件的冲突或者item点击没有反应的解决的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/902j6njq.html">【Golang 接口自动化01】使用标准库net&sol;http发送Get请求</a>
		</li>
						<li><a href="https://www.batexi.com/a/963lxnn9.html">JSP九大内置对象和四大作用域和Servlet的三大作用域对象</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9gegpmz8.html">Java虚拟机-----------Java内存区域与内存溢出异常</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpk5xzq.html">js中表单的聚焦失焦事件</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojydp1q.html">【干货】Chrome插件&lpar;扩展&rpar;开发全攻略&lpar;不点进来看看你肯定后悔&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2j3m4l8.html">Javasript 正则匹配任意字符</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljv5me9.html">Sql 2008R2  windows身份好用 ，sa身份不好用</a>
			</li>
						<li><a href="https://www.batexi.com/a/93y7n6z8.html">css 2D转换 transform-rotate 画插图</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1krpoq.html">Python爬虫番外篇之Cookie和Session</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zdkv39.html">cocos&amp;&num;160&semi;射线检测 3D物体 &lpar;Sprite3D点击&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojyywxq.html">Properties读取属性文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/93y77408.html">图像处理与matlab实例之图像平滑（一）</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
